- name: "Obtain docker repo key"
  get_url:
    url: "{{ docker_gpg_url }}"
    dest: /tmp/docker-gpg

- name: "Add docker repo key"
  apt_key:
    id: 0EBFCD88
    file: /tmp/docker-gpg
  become: yes

- name: "install apt-transport-https (required for docker repo)"
  apt:
    name: apt-transport-https
  become: yes

- name: "Add docker CE repository"
  apt_repository:
    repo: "deb https://download.docker.com/linux/debian stretch stable"
  become: yes

- name: "install docker CE"
  apt:
    name: docker-ce
  become: yes

- name: "install docker machine"
  get_url:
    url: "{{ docker_machine_url }}/docker-machine-Linux-x86_64"
    dest: "/usr/local/bin/docker-machine"
    mode: 0755
  become: yes
